﻿@model Panier
<div class="container">
    <h5 class="m-3">Detail Panier</h5>
    @if (@Model.ProductPaniers.Count != 0)
    {
        <table class="table table-primary">
            <thead>
                <tr>

                    <th scope="col">Titre</th>
                    <th scope="col">Quantite</th>
                    <th scope="col">Prix</th>
                    <th scope="col">Total</th>
                    <th scope="col">infos</th>
                </tr>
            </thead>
            <tbody>

                @if (@Model.ProductPaniers.Count > 0)
                {
                    @foreach (ProductPanier p in @Model.ProductPaniers)
                    {

                        <tr>
                            <td>@p.Product.Titre</td>
                            <td>@p.Qty</td>
                            <td>@p.Product.Prix euros</td>
                            <td>@(@p.Product.Prix * @p.Qty) euros</td>
                            <td><a asp-controller="Panier" asp-action="DeleteProductPanier" asp-route-id="">Supprimer</a></td>
                        </tr>

                    }


                }
            </tbody>
            <tfoot>
                <tr>
                    <th>Total</th>
                    <td colspan="3"></td>
                    <td>
                        <span>
                            @if (ViewBag.total != null)
                            {<span>@ViewBag.total <span>euros</span></span>
                        }
                        else
                        {<div>0 euros</div>}
                        </span>
                    </td>
                </tr>
            </tfoot>
        </table>
        <div class="row">
            <div><a class="btn btn-primary mr-4" asp-controller="Panier" asp-action="etapeSuivante">Suivant</a></div>
            <div><a class="btn btn-warning" asp-controller="Panier" asp-action="ViderPanier">Vider Panier</a></div>
        </div>
       
    }
    else
    {
        <div class="row">
            <div class="col alert-danger alert">
                Le Panier est vide.
            </div>
        </div>

    }
</div>
  
